# Class: c3

Defined in: | js/c3.coffee

## Overview

Note: Please refer to c3.Base for an overview of the c3 visualization interface.

## Dependencies:

- D3
- Crossfilter - Optional to improve sorting performance

## Variables Summary

version =

      "0.1"

## Class Method Summary

- . (c3.selection) select(parent, query, before, children_only) Create a new c3 selection

## Class Method Details

. (c3.selection) select(parent, query, before, children_only)

Create a new c3 selection

### Parameters:

- parent ( `d3.selection` ) — Parent selection
- query ( `String` ) — Query string to make the selection.
- before ( `String` ) — An optional selector to insert nodes before. `:first-child` will insert nodes at the begining.
- children_only ( `Boolean` ) — Only select direct children, not all descendents.

### Returns:

- `c3.selection`

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input